Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and cl-subseq causes regression when using seq from ELPA

From: Terje Larsen <[email-masked]>
Date: Tue, 5 Nov 2019 07:14:26 +0100

I meant the seq package provided by GNU ELPA repository. Guess I slipped on
the keyboard there. My Emacs selects the seq25.el from ELPA.

I have now patched it for myself locally. But I believe this can cause
really big frustrations and confusion for people in the future. I guess one
way to solve it would be to push a change that checks the Emacs version and
provides different implementation, as 27 haven’t been released yet.

Thank you for catching my mistake.

On Mon, 4 Nov 2019 at 10:21, Michael Heerdegen <[email-masked]>
wrote:

> Terje Larsen <[email-masked]> writes:
>
> > Since the commit 0e4dd67aae8b10032317a29a6bd99d2d4a64c897 there is a
> > regression for people using seq from MELPA.
>
> I don't have an answer, but a question: do you really mean Melpa, or the
> "seq" package provided in the Gnu Elpa repository?
>
>
> Thanks,
>
> Michael.
>
-- 
// Terje Larsen